GET /gslb/adaptrepl/window/

GET /gslb/adaptrepl/window/

/gslb/adaptrepl/window/

Request
URI
GET
https://{api_host}/api/gslb/adaptrepl/window
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AdaptRepl of type(s) application/json
{
    "cache_detail": [
        {
            "action": "string",
            "fault_state": {
                "faults": [
                    {
                        "reason": "string",
                        "recommendation": "string",
                        "timestamp": "string",
                        "type": "string",
                        "uuid": "string"
                    }
                ]
            },
            "obj_type": "string",
            "reason": "string",
            "se_uuid": "string",
            "uuid": "string",
            "version": 0
        }
    ],
    "cache_summary": [
        {
            "obj_uuid": "string",
            "version_num": 0
        }
    ],
    "fault_summary": [
        {
            "obj_uuid": "string",
            "version_num": 0
        }
    ],
    "fix_summary": [
        {
            "diffq_version": 0,
            "fix_version": 0,
            "obj_uuid": "string",
            "version_num": 0
        }
    ],
    "repl_summary": {
        "repl_status": "string",
        "site_repl": [
            {
                "repl_status": "string",
                "site_name": "string",
                "site_type": "string",
                "target_version": 0,
                "version": 0
            }
        ]
    },
    "window_detail": {
        "acked": [
            false
        ],
        "cfg_versions": [
            {
                "action": "string",
                "fault_state": {
                    "faults": [
                        {
                            "reason": "string",
                            "recommendation": "string",
                            "timestamp": "string",
                            "type": "string",
                            "uuid": "string"
                        }
                    ]
                },
                "obj_type": "string",
                "reason": "string",
                "se_uuid": "string",
                "uuid": "string",
                "version": 0
            }
        ]
    },
    "window_summary": [
        {
            "obj_uuid": "string",
            "version_num": 0
        }
    ]
}
array of object
cache_detail
Optional

Detailed view of Adaptive replication cache. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
cache_summary
Optional

Summary of Adaptive replication cache. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
fault_summary
Optional

Adaptive Replication Faults. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
fix_summary
Optional

Summary of fixes of Adaptive Replication Faults. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
repl_summary
Optional

repl_summary

object
window_detail
Optional

window_detail

array of object
window_summary
Optional

Summary of config versions for all objects. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/gslb/adaptrepl/window